using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Toolkit.Mvvm.ComponentModel;

namespace HBLConsole.Model
{
    public class SimOrderVisibleData : ObservableObject
    {

        public string ClientDeviceType { get { return _mClientDeviceType; } set { _mClientDeviceType = value; OnPropertyChanged(); } }
        private string _mClientDeviceType;

        public ushort Loc { get { return _mLoc; } set { _mLoc = value; OnPropertyChanged(); } }
        private ushort _mLoc;

        public bool IsEnable { get { return _mIsEnable; } set { _mIsEnable = value; OnPropertyChanged(); } }
        private bool _mIsEnable;

        public bool IsSelected { get { return _mIsSelected; } set { _mIsSelected = value; OnPropertyChanged(); IsEnable = !value; } }
        private bool _mIsSelected;

        public string Text { get { return _mText; } set { _mText = value; OnPropertyChanged(); } }
        private string _mText;

        public int MinValue { get { return _mMinValue; } set { _mMinValue = value; OnPropertyChanged(); } }
        private int _mMinValue;

        public int MaxValue { get { return _mMaxValue; } set { _mMaxValue = value; OnPropertyChanged(); } }
        private int _mMaxValue;



    }
}
